clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
BugproneTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "ArgumentCommentCheck.h"`
`#include "AssertSideEffectCheck.h"`
`#include "BoolPointerImplicitConversionCheck.h"`
`#include "CopyConstructorInitCheck.h"`
`#include "DanglingHandleCheck.h"`
`#include "FoldInitTypeCheck.h"`
`#include "ForwardDeclarationNamespaceCheck.h"`
`#include "InaccurateEraseCheck.h"`
`#include "IntegerDivisionCheck.h"`
`#include "MisplacedOperatorInStrlenInAllocCheck.h"`
`#include "MoveForwardingReferenceCheck.h"`
`#include "MultipleStatementMacroCheck.h"`
`#include "StringConstructorCheck.h"`
`#include "SuspiciousMemsetUsageCheck.h"`
`#include "UndefinedMemoryManipulationCheck.h"`
`#include "UseAfterMoveCheck.h"`
`#include "VirtualNearMissCheck.h"`
Include dependency graph for BugproneTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::bugprone::BugproneModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static ClangTidyModuleRegistry::Add< bugprone::BugproneModule > | clang::tidy::X ("bugprone-module", "Adds checks for bugprone code constructs.")

## Variables
volatile int | clang::tidy::BugproneModuleAnchorSource = 0